2020-07-11 12:58 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003706Spring engineGeneralpublic2013-04-22 08:35
Reporterzerver 
Assigned TojK 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version94.1 
Target Version95.0Fixed in Version95.0 
Summary0003706: Can stacktraces from the linux static builds be translated?
Descriptionstacktranslate.springrts.com handles only windows traces

One guy contacted me regarding a linux static 64-bit crash, spring-dedicated
http://springrts.com/dl/buildbot/default/master/94.1/linux64/94.1_spring-dedicated-linux64-static.7z
This was his first attempt on installing an autohost, so it probably crashes due to an incomplete installation or something. Stacktrace below.
Steps To ReproduceScanning: /home/.spring/maps
Scanning: /home/.spring/games
Scanning: /home/.spring/packages
Error: Aborted (SIGABRT) in spring 94.1 (Dedicated OMP)
Error: Stacktrace:
Error: <0> /lib/x86_64-linux-gnu/libpthread.so.0(+0xfcb0) [0x7f3a11871cb0]
Error: <1> /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x35) [0x7f3a114d9425]
Error: <2> /lib/x86_64-linux-gnu/libc.so.6(abort+0x17b) [0x7f3a114dcb8b]
Error: <3> /home/spads/spring-dedicated(_ZN9__gnu_cxx27__verbose_terminate_handlerEv+0x11d) [0x60dcad]
Error: <4> /home/spads/spring-dedicated(_ZN10__cxxabiv111__terminateEPFvvE+0x6) [0x5c0026]
Error: <5> /home/spads/spring-dedicated() [0x5c0053]
Error: <6> /home/spads/spring-dedicated() [0x5c02be]
Error: <7> /home/spads/spring-dedicated() [0x4716ad]
Error: <8> /home/spads/spring-dedicated() [0x47143c]
Error: <9> /home/spads/spring-dedicated() [0x4717a0]
Error: <10> /home/spads/spring-dedicated() [0x46ecd9]
Error: <11> /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed) [0x7f3a114c476d]
Error: <12> /home/spads/spring-dedicated() [0x46a689]
Error: Spring crashed Spring has crashed:
Aborted (SIGABRT).
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0010468

abma (administrator)

yes, but currently its hard work by men :)

http://springrts.com/dl/buildbot/default/master/94.1/linux64/94.1_spring_dbg.7z


gimme some time to do

~0010490

abma (administrator)

hmm, doesn't look useful:

addr2line -e spring-dedicated.dbg
0x60dcad
??:?
0x5c0026
??:?
0x5c0053
??:?
0x5c02be
??:?
0x4716ad
/home/buildbot/slave/linux-static-x64/build/build/default/../../rts/System/FileSystem/ArchiveScanner.cpp:1075
0x47143c
/home/buildbot/slave/linux-static-x64/build/build/default/../../rts/System/FileSystem/FileFilter.h:14 (discriminator 1)
0x4717a0
/home/buildbot/slave/linux-static-x64/build/build/default/../../rts/System/FileSystem/FileFilter.h:14
0x46ecd9
/home/buildbot/slave/linux-static-x64/build/build/default/../../rts/builds/dedicated/main.cpp:191
0x7f3a114c476d
??:0
0x46a689
??:?

~0010491

abma (administrator)

Last edited: 2013-04-17 00:00

View 2 revisions

i wonder about "SIGABRT"?

is some exception not handled?

SIGABRT seems to be called when a heap corruption is detected as well, as the stack-trace really locks weird...thats probably the cause.

can your "informant" reproduce this crash?

~0010497

zerver (reporter)

https://github.com/spring/spring/blob/6ae2ae26ad6db972ae55f80c4546573cd4a44c30/rts/System/FileSystem/ArchiveScanner.cpp#L1075

throw content_error("Unknown error parsing archive replacements");

~0010529

abma (administrator)

https://github.com/spring/spring/commit/30c138c0185735805a276846e10b3abfaa9cc639
+Notes

-Issue History
Date Modified Username Field Change
2013-04-16 00:45 zerver New Issue
2013-04-16 00:50 abma Assigned To => abma
2013-04-16 00:50 abma Status new => assigned
2013-04-16 00:50 abma Note Added: 0010468
2013-04-16 00:50 abma Target Version => 95.0
2013-04-16 23:15 abma Note Added: 0010490
2013-04-16 23:19 abma Note Added: 0010491
2013-04-17 00:00 abma Note Edited: 0010491 View Revisions
2013-04-17 00:18 abma Assigned To abma =>
2013-04-17 00:18 abma Status assigned => feedback
2013-04-17 18:55 zerver Note Added: 0010497
2013-04-17 18:55 zerver Status feedback => new
2013-04-17 19:40 zerver Assigned To => zerver
2013-04-17 19:40 zerver Status new => assigned
2013-04-22 01:02 zerver Assigned To zerver => abma
2013-04-22 08:35 abma Note Added: 0010529
2013-04-22 08:35 abma Status assigned => resolved
2013-04-22 08:35 abma Fixed in Version => 95.0
2013-04-22 08:35 abma Resolution open => fixed
2013-04-22 08:35 abma Assigned To abma => jK
+Issue History